# Class ResultSchema

java.lang.Object
com.databricks.jdbc.model.core.ResultSchema

public class ResultSchema extends Object
Result schema POJO

TODO: Replace this class with the corresponding SDK implementation once it becomes available

## Constructor Summary

Constructors
Constructor
Description
`ResultSchema()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Long`
`getColumnCount()`
`Collection<ColumnInfo>`
`getColumns()`
`int`
`hashCode()`
`ResultSchema`
`setColumnCount(Long columnCount)`
`ResultSchema`
`setColumns(Collection<ColumnInfo> columns)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResultSchema

public ResultSchema()

## Method Details

### setColumnCount

public ResultSchema setColumnCount(Long columnCount)

### getColumnCount

public Long getColumnCount()

### setColumns

public ResultSchema setColumns(Collection<ColumnInfo> columns)

### getColumns

public Collection<ColumnInfo> getColumns()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`